## org.eclipse.jetty.client.security
Interface Realm

    public interface Realm

Simple security realm interface.

Method Summary
`java.lang.String` `getCredentials()`
`java.lang.String` `getId()`
`java.lang.String` `getPrincipal()`

Method Detail

### getId

    java.lang.String getId()

### getPrincipal

    java.lang.String getPrincipal()

### getCredentials

    java.lang.String getCredentials()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.